﻿
@model LawMingo.Areas.Admin.Models.ViewModels.RegisterUserViewModel

@{
    ViewBag.Title = "افزودن کاربر";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<style>
    .card .card-header.card-header-icon {
   
    width: 100%;
   
}

    .card{
        padding:20px;
    }
    .card [class*=card-header-] .card-icon, .card [class*=card-header-] .card-text {
    border-radius: 3px;
    background-color: #999;
    padding: 15px;
    margin-top: -48px;
    margin-right: 15px;
    float: left;
}
    .card .card-header-rose .card-icon, .card .card-header-rose .card-text, .card .card-header-rose:not(.card-header-icon):not(.card-header-text) {
    box-shadow: 0 4px 20px 0 rgba(0,0,0,.14), 0 7px 10px -5px rgba(233,30,99,.4);
}
    .card .card-header-rose .card-icon, .card .card-header-rose .card-text, .card .card-header-rose:not(.card-header-icon):not(.card-header-text), .card.bg-rose, .card.card-rotate.bg-rose .back, .card.card-rotate.bg-rose .front {
    background: #ff9800;
}
    .card .card-header.card-header-icon {
     float: left !important;
}
</style>

<div class="container-fluid" style="padding-right:22%;padding-left:5%;">
    <div class="row">
        <div class="col-md-12">

            <form asp-controller="User" asp-action="Create" data-ajax="true" data-ajax-method="POST">

                <div class="card ">
                    <div class="card-header card-header-rose card-header-icon">
                        <div class="card-icon">
                            <i style="color:white;" class="material-icons">mail_outline</i>
                        </div>

                        <p id="resultTarget" style="margin-top: 20px;">

                        </p>
                    </div>
                    <div class="card-body " style="clear:both;">

                        @Html.AntiForgeryToken()
                        @Html.ValidationSummary("", new { @class = "text-danger" })

                        <div class="form-group">
                            <label for="Email" class="bmd-label-floating"> ایمیل *</label>
                            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <label for="Password" class="bmd-label-floating"> پسورد *</label>
                            @Html.PasswordFor(m => m.Password, new { @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <label for="ConfirmPassword" class="bmd-label-floating"> تکرار پسورد *</label>
                            @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <label for="Role" class="bmd-label-floating"> نقش کاربر</label>
                            @Html.TextBoxFor(m => m.Role, new { @class = "form-control" })
                        </div>
                    </div>

                    <div class="card-footer text-right">
                        <button type="submit" class="btn btn-rose">ثبت کاربر</button>
                        <span id="loader" style="display:none">
                            چند لحظه صبر  نمائید...
                            <img style="width:30px !important" src="~/Areas/Admin/Content/img/ajax-loader.gif" />
                        </span>
                    </div>
                </div>

            </form>

            @*@using (Ajax.BeginForm("Create", "User", null, new AjaxOptions
            {
                HttpMethod = "POST",
                InsertionMode = InsertionMode.Replace,
                LoadingElementId = "loader",
                OnSuccess = "SuccessMessage",
                OnFailure = "FailMessage",
                UpdateTargetId = "resultTarget"
            }, new { id = "RegisterValidation" }))

            {
         
            }*@
        </div>
      
    </div>
</div>

<script type="text/javascript">

         function SuccessMessage(response) {         
           
         }

        function OnFailure(response) {
            alert("خطایی در هنگام پردازش رخ داده است .");
        }
</script>


@section scripts {
 
}


